zenilib: zenilib/jni/external/freetype2/src/cff/cffdrivr.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
cffdrivr.c File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_SFNT_H>`
`#include <FT_SERVICE_CID_H>`
`#include <FT_SERVICE_POSTSCRIPT_INFO_H>`
`#include <FT_SERVICE_POSTSCRIPT_NAME_H>`
`#include <FT_SERVICE_TT_CMAP_H>`
`#include "cffdrivr.h"`
`#include "cffgload.h"`
`#include "cffload.h"`
`#include "cffcmap.h"`
`#include "cffparse.h"`
`#include "cfferrs.h"`
`#include "cffpic.h"`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include <FT_SERVICE_GLYPH_DICT_H>`

Go to the source code of this file.

## Macros

#define | CFF_SIZE_SELECT 0
#define | FT_COMPONENT trace_cffdriver
#define | PAIR_TAG(left, right)

## Functions

| cff_get_advances (FT_Face face, FT_UInt start, FT_UInt count, FT_Int32 flags, FT_Fixed *advances)
static FT_Error | cff_get_cid_from_glyph_index (CFF_Face face, FT_UInt glyph_index, FT_UInt *cid)
static FT_Error | cff_get_glyph_name (CFF_Face face, FT_UInt glyph_index, FT_Pointer buffer, FT_UInt buffer_max)
&FT_CFF_SERVICE_CID_INFO_GET | cff_get_interface (FT_Module driver, const char *module_interface)
static FT_Error | cff_get_is_cid (CFF_Face face, FT_Bool *is_cid)
| cff_get_kerning (FT_Face ttface, FT_UInt left_glyph, FT_UInt right_glyph, FT_Vector *kerning)
static FT_UInt | cff_get_name_index (CFF_Face face, FT_String *glyph_name)
| cff_glyph_load (FT_GlyphSlot cffslot, FT_Size cffsize, FT_UInt glyph_index, FT_Int32 load_flags)
static FT_Error | cff_ps_get_font_info (CFF_Face face, PS_FontInfoRec *afont_info)
| FT_DEFINE_SERVICE_CIDREC (cff_service_cid_info,(FT_CID_GetRegistryOrderingSupplementFunc) cff_get_ros,(FT_CID_GetIsInternallyCIDKeyedFunc) cff_get_is_cid,(FT_CID_GetCIDFromGlyphIndexFunc) cff_get_cid_from_glyph_index) FT_DEFINE_SERVICEDESCREC6(cff_services
| FT_DEFINE_SERVICE_GLYPHDICTREC (cff_service_glyph_dict,(FT_GlyphDict_GetNameFunc) cff_get_glyph_name,(FT_GlyphDict_NameIndexFunc) cff_get_name_index) static FT_Int cff_ps_has_glyph_names(FT_Face face)
| FT_DEFINE_SERVICE_PSFONTNAMEREC (cff_service_ps_name,(FT_PsName_GetFunc) cff_get_ps_name) static FT_Error cff_get_cmap_info(FT_CharMap charmap
| FT_DEFINE_SERVICE_PSINFOREC (cff_service_ps_info,(PS_GetFontInfoFunc) cff_ps_get_font_info,(PS_GetFontExtraFunc) NULL,(PS_HasGlyphNamesFunc) cff_ps_has_glyph_names,(PS_GetFontPrivateFunc) NULL,(PS_GetFontValueFunc) NULL) static const char *cff_get_ps_name(CFF_Face face)
| FT_DEFINE_SERVICE_TTCMAPSREC (cff_service_get_cmap_info,(TT_CMap_Info_GetFunc) cff_get_cmap_info) static FT_Error cff_get_ros(CFF_Face face
| if (cmap->clazz!=&FT_CFF_CMAP_ENCODING_CLASS_REC_GET &&cmap->clazz!=&FT_CFF_CMAP_UNICODE_CLASS_REC_GET)
| if (cff)

## Variables

Fail | __pad0__
CFF_Font | cff = (CFF_Font)face->extra.data
TT_CMapInfo * | cmap_info
FT_Error | error = CFF_Err_Ok
FT_Face | face = FT_CMAP_FACE( cmap )
cmap_info | format = 0
& | FT_CFF_SERVICE_GET_CMAP_INFO_GET
& | FT_CFF_SERVICE_GLYPH_DICT_GET
& | FT_CFF_SERVICE_PS_INFO_GET
& | FT_CFF_SERVICE_PS_NAME_GET
| FT_SERVICE_ID_CID
| FT_SERVICE_ID_GLYPH_DICT
| FT_SERVICE_ID_POSTSCRIPT_FONT_NAME
| FT_SERVICE_ID_POSTSCRIPT_INFO
| FT_SERVICE_ID_TT_CMAP
| FT_SERVICE_ID_XF86_NAME
| FT_XF86_FORMAT_CFF
cmap_info | language = 0
FT_Library | library = FT_FACE_LIBRARY( face )
const char const char ** | ordering
const char ** | registry
const char const char FT_Int * | supplement

## Macro Definition Documentation

#define CFF_SIZE_SELECT 0

Definition at line 641 of file cffdrivr.c.

#define FT_COMPONENT trace_cffdriver

Definition at line 49 of file cffdrivr.c.

#define PAIR_TAG | ( |  | left,
|  |  | right
| ) |  |

Value:
( ( (FT_ULong)left << 16 ) | \
(FT_ULong)right )
FT_ULong
unsigned long FT_ULong
Definition: fttypes.h:249
left
GLint left
Definition: glew.h:7291
right
GLfloat right
Definition: glew.h:13816

Definition at line 66 of file cffdrivr.c.

## Function Documentation

cff_get_advances | ( | FT_Face | face,
|  | FT_UInt | start,
|  | FT_UInt | count,
|  | FT_Int32 | flags,
|  | FT_Fixed * | advances
| ) |  |

Definition at line 191 of file cffdrivr.c.

References cff_glyph_load(), error, FT_LOAD_ADVANCE_ONLY, FT_LOAD_VERTICAL_LAYOUT, FT_GlyphSlotRec_::linearHoriAdvance, and FT_GlyphSlotRec_::linearVertAdvance.

static FT_Error cff_get_cid_from_glyph_index | ( | CFF_Face | face,
|  | FT_UInt | glyph_index,
|  | FT_UInt * | cid
| ) |  |

static

Definition at line 522 of file cffdrivr.c.

References cff, CFF_FontRec_::charset, CFF_FontRecDictRec_::cid_registry, FT_Generic_::data, error, TT_FaceRec_::extra, CFF_SubFontRec_::font_dict, if(), CFF_FontRec_::num_glyphs, CFF_CharsetRec_::sids, and CFF_FontRec_::top_font.

static FT_Error cff_get_glyph_name | ( | CFF_Face | face,
|  | FT_UInt | glyph_index,
|  | FT_Pointer | buffer,
|  | FT_UInt | buffer_max
| ) |  |

static

Definition at line 225 of file cffdrivr.c.

References cff_index_get_sid_string(), CFF_FontRec_::charset, FT_Generic_::data, error, TT_FaceRec_::extra, FT_ERROR, FT_STRCPYN, if(), CFF_FontRec_::psnames, sid, and CFF_CharsetRec_::sids.

& FT_CFF_SERVICE_CID_INFO_GET cff_get_interface | ( | FT_Module | driver,
|  | const char * | module_interface
| ) |  |

Definition at line 599 of file cffdrivr.c.

References FT_ModuleRec_::clazz, FT_CFF_SERVICES_GET, FT_Get_Module(), ft_service_list_lookup(), FT_Module_Class_::get_interface, library, and NULL.

static FT_Error cff_get_is_cid | ( | CFF_Face | face,
|  | FT_Bool * | is_cid
| ) |  |

static

Definition at line 499 of file cffdrivr.c.

References CFF_FontRecDictRec_::cid_registry, FT_Generic_::data, error, TT_FaceRec_::extra, CFF_SubFontRec_::font_dict, if(), and CFF_FontRec_::top_font.

cff_get_kerning | ( | FT_Face | ttface,
|  | FT_UInt | left_glyph,
|  | FT_UInt | right_glyph,
|  | FT_Vector * | kerning
| ) |  |

Definition at line 103 of file cffdrivr.c.

References SFNT_Interface_::get_kerning, if(), and TT_FaceRec_::sfnt.

static FT_UInt cff_get_name_index | ( | CFF_Face | face,
|  | FT_String * | glyph_name
| ) |  |

static

Definition at line 263 of file cffdrivr.c.

References cff, cff_index_get_string(), charset, CFF_FontRec_::charset, FT_Generic_::data, TT_FaceRec_::extra, FT_FACE_FIND_GLOBAL_SERVICE, ft_strcmp, i, CFF_FontRec_::num_glyphs, sid, and CFF_CharsetRec_::sids.

cff_glyph_load | ( | FT_GlyphSlot | cffslot,
|  | FT_Size | cffsize,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 152 of file cffdrivr.c.

References cff_slot_load(), error, FT_LOAD_NO_HINTING, FT_LOAD_NO_SCALE, and NULL.

Referenced by cff_get_advances().

static FT_Error cff_ps_get_font_info | ( | CFF_Face | face,
|  | PS_FontInfoRec * | afont_info
| ) |  |

static

Definition at line 320 of file cffdrivr.c.

References cff, cff_index_get_sid_string(), FT_Generic_::data, error, TT_FaceRec_::extra, CFF_FontRecDictRec_::family_name, CFF_SubFontRec_::font_dict, CFF_FontRec_::font_info, FT_ALLOC, CFF_FontRecDictRec_::full_name, if(), CFF_FontRecDictRec_::is_fixed_pitch, CFF_FontRecDictRec_::italic_angle, FT_FaceRec_::memory, CFF_FontRecDictRec_::notice, NULL, TT_FaceRec_::root, CFF_FontRec_::top_font, CFF_FontRecDictRec_::underline_position, CFF_FontRecDictRec_::underline_thickness, CFF_FontRecDictRec_::version, and CFF_FontRecDictRec_::weight.

FT_DEFINE_SERVICE_CIDREC | ( | cff_service_cid_info | ,
|  | (FT_CID_GetRegistryOrderingSupplementFunc) | cff_get_ros,
|  | (FT_CID_GetIsInternallyCIDKeyedFunc) | cff_get_is_cid,
|  | (FT_CID_GetCIDFromGlyphIndexFunc) | cff_get_cid_from_glyph_index
| ) |  |

FT_DEFINE_SERVICE_GLYPHDICTREC | ( | cff_service_glyph_dict | ,
|  | (FT_GlyphDict_GetNameFunc) | cff_get_glyph_name,
|  | (FT_GlyphDict_NameIndexFunc) | cff_get_name_index
| ) |  |

Definition at line 301 of file cffdrivr.c.

References FT_FaceRec_::face_flags, and FT_FACE_FLAG_GLYPH_NAMES.

FT_DEFINE_SERVICE_PSFONTNAMEREC | ( | cff_service_ps_name | ,
|  | (FT_PsName_GetFunc) | cff_get_ps_name
| ) |  |

FT_DEFINE_SERVICE_PSINFOREC | ( | cff_service_ps_info | ,
|  | (PS_GetFontInfoFunc) | cff_ps_get_font_info,
|  | (PS_GetFontExtraFunc) | NULL,
|  | (PS_HasGlyphNamesFunc) | cff_ps_has_glyph_names,
|  | (PS_GetFontPrivateFunc) | NULL,
|  | (PS_GetFontValueFunc) | NULL
| ) |  | const

Definition at line 363 of file cffdrivr.c.

References cff, FT_Generic_::data, TT_FaceRec_::extra, CFF_FontRec_::font_name, and return.

FT_DEFINE_SERVICE_TTCMAPSREC | ( | cff_service_get_cmap_info | ,
|  | (TT_CMap_Info_GetFunc) | cff_get_cmap_info
| ) |  |

if | ( | cmap->clazz! | = `&FT_CFF_CMAP_ENCODING_CLASS_REC_GET && cmap->clazz != &FT_CFF_CMAP_UNICODE_CLASS_REC_GET` | ) |

Definition at line 415 of file cffdrivr.c.

References FT_Get_Module(), ft_module_get_service(), and FT_SERVICE_ID_TT_CMAP.

if | ( | cff |  | ) |

Definition at line 451 of file cffdrivr.c.

References cff_index_get_sid_string(), CFF_FontRecDictRec_::cid_ordering, CFF_FontRecDictRec_::cid_registry, CFF_FontRecDictRec_::cid_supplement, CFF_SubFontRec_::font_dict, FT_INT_MAX, FT_INT_MIN, FT_TRACE1, CFF_FontRec_::ordering, CFF_FontRec_::registry, and CFF_FontRec_::top_font.

## Variable Documentation

Fail __pad0__

Definition at line 494 of file cffdrivr.c.

CFF_Font cff = (CFF_Font)face->extra.data

Definition at line 448 of file cffdrivr.c.

Referenced by cff_cmap_encoding_init(), cff_decoder_init(), cff_decoder_prepare(), cff_face_done(), cff_face_init(), cff_free_glyph_data(), cff_get_cid_from_glyph_index(), cff_get_glyph_data(), cff_get_name_index(), cff_operator_seac(), cff_ps_get_font_info(), and FT_DEFINE_SERVICE_PSINFOREC().

TT_CMapInfo* cmap_info

Initial value:
{
FT_CMap cmap = FT_CMAP( charmap )
FT_CMAP
#define FT_CMAP(x)
Definition: ftobjs.h:139
cmap
Colormap cmap
Definition: glewinfo_tail.c:225
FT_CMapRec_
Definition: ftobjs.h:131

Definition at line 405 of file cffdrivr.c.

Referenced by FT_Get_CMap_Format(), and FT_Get_CMap_Language_ID().

return error = CFF_Err_Ok

Definition at line 407 of file cffdrivr.c.

Referenced by _bdf_add_comment(), _bdf_add_property(), _bdf_list_ensure(), _bdf_list_split(), _bdf_parse_glyphs(), _bdf_parse_properties(), _bdf_parse_start(), _bdf_readstream(), _bdf_set_default_spacing(), _tt_check_patents_in_range(), _tt_check_patents_in_table(), _tt_face_check_patents(), af_axis_hints_new_edge(), af_axis_hints_new_segment(), af_face_globals_compute_script_coverage(), af_face_globals_get_metrics(), af_face_globals_new(), af_glyph_hints_reload(), af_latin2_hints_apply(), af_latin2_hints_compute_edges(), af_latin2_hints_compute_segments(), af_latin2_hints_detect_features(), af_latin2_metrics_init(), af_latin2_metrics_init_blues(), af_latin2_metrics_init_widths(), af_latin_hints_apply(), af_latin_hints_compute_edges(), af_latin_hints_compute_segments(), af_latin_hints_detect_features(), af_latin_metrics_init(), af_latin_metrics_init_blues(), af_latin_metrics_init_widths(), af_loader_load_g(), af_loader_load_glyph(), af_loader_reset(), afm_parse_kern_data(), afm_parse_kern_pairs(), afm_parse_track_kern(), afm_parser_init(), afm_parser_parse(), afm_parser_read_vals(), alsa_open_capture(), alsa_reset_playback(), alsa_start_playback(), bdf_create_property(), BDF_Face_Init(), BDF_Glyph_Load(), bdf_interpret_style(), bdf_load_font(), BDF_Size_Request(), ca_open_capture(), cff_builder_add_contour(), cff_builder_add_point1(), cff_builder_start_point(), cff_charset_compute_cids(), cff_charset_load(), cff_decoder_parse_charstrings(), cff_decoder_prepare(), cff_encoding_load(), cff_face_init(), cff_font_load(), cff_get_advances(), cff_get_cid_from_glyph_index(), cff_get_glyph_data(), cff_get_glyph_name(), cff_get_is_cid(), cff_glyph_load(), cff_index_access_element(), cff_index_get_name(), cff_index_get_pointers(), cff_index_init(), cff_index_load_offsets(), cff_index_read_offset(), CFF_Load_FD_Select(), cff_operator_seac(), cff_parse_cid_ros(), cff_parse_font_bbox(), cff_parse_font_matrix(), cff_parse_private_dict(), cff_parser_run(), cff_ps_get_font_info(), cff_size_init(), cff_slot_load(), cff_strcpy(), cff_subfont_load(), check_table_dir(), check_type1_format(), cid_face_init(), cid_face_open(), cid_get_cid_from_glyph_index(), cid_get_is_cid(), cid_hex_to_binary(), cid_load_glyph(), cid_load_keyword(), cid_parser_new(), cid_read_subrs(), cid_size_init(), cid_slot_load_glyph(), classic_kern_validate(), TiXmlDocument::ClearError(), compute_glyph_metrics(), CPU_haveAltiVec(), DetectCallDepth::detectCallDepth(), TiXmlDocument::Error(), fnt_face_get_dll_font(), FNT_Face_Init(), fnt_font_load(), FNT_Load_Glyph(), FNT_Size_Request(), FT_Add_Default_Modules(), FT_Add_Module(), ft_add_renderer(), FT_Attach_Stream(), ft_bitmap_assure_buffer(), FT_Bitmap_Convert(), FT_Bitmap_Copy(), FT_Bitmap_Embolden(), ft_bitmap_glyph_init(), ft_black_new(), FT_ClassicKern_Validate(), FT_CMap_Done(), FT_CMap_New(), FT_DEFINE_GLYPH(), FT_DEFINE_OUTLINE_FUNCS(), FT_DEFINE_SERVICE_SFNT_TABLEREC(), FT_Done_Face(), FT_Done_Size(), ft_face_get_mm_service(), FT_Get_Advance(), FT_Get_Advances(), FT_Get_BDF_Charset_ID(), FT_Get_BDF_Property(), FT_Get_CID_From_Glyph_Index(), FT_Get_CID_Is_Internally_CID_Keyed(), FT_Get_CID_Registry_Ordering_Supplement(), FT_Get_Glyph(), FT_Get_Glyph_Name(), FT_Get_Kerning(), FT_Get_MM_Var(), FT_Get_Multi_Master(), FT_Get_PFR_Advance(), FT_Get_PFR_Kerning(), FT_Get_PFR_Metrics(), FT_Get_PS_Font_Info(), FT_Get_PS_Font_Private(), FT_Get_SubGlyph_Info(), FT_Get_Track_Kerning(), FT_Get_WinFNT_Header(), FT_Glyph_Copy(), FT_Glyph_Stroke(), FT_Glyph_StrokeBorder(), FT_Glyph_To_Bitmap(), FT_Glyph_Transform(), FT_GlyphLoader_CheckPoints(), FT_GlyphLoader_CheckSubGlyphs(), FT_GlyphLoader_CopyPoints(), FT_GlyphLoader_CreateExtra(), FT_GlyphLoader_New(), ft_glyphslot_alloc_bitmap(), FT_GlyphSlot_Embolden(), ft_glyphslot_init(), FT_GlyphSlot_Own_Bitmap(), FT_Init_FreeType(), FT_List_Iterate(), FT_Load_Glyph(), ft_lzwstate_prefix_grow(), ft_lzwstate_stack_grow(), ft_mem_alloc(), ft_mem_dup(), ft_mem_qalloc(), ft_mem_qrealloc(), ft_mem_realloc(), FT_New_GlyphSlot(), FT_New_Library(), FT_New_Size(), FT_Open_Face(), FT_OpenType_Validate(), FT_Outline_Decompose(), ft_outline_glyph_copy(), FT_Outline_New_Internal(), FT_Outline_Render(), FT_Raccess_Get_DataOffsets(), FT_Raccess_Get_HeaderInfo(), ft_raster1_render(), ft_raster1_transform(), FT_Render_Glyph_Internal(), FT_Request_Size(), FT_Select_Size(), FT_Set_MM_Blend_Coordinates(), FT_Set_MM_Design_Coordinates(), FT_Set_Renderer(), FT_Set_Var_Blend_Coordinates(), FT_Set_Var_Design_Coordinates(), ft_smooth_render_generic(), ft_smooth_render_lcd(), ft_smooth_render_lcd_v(), ft_smooth_transform(), FT_Stream_EnterFrame(), FT_Stream_ExtractFrame(), FT_Stream_New(), FT_Stream_ReadAt(), FT_Stream_ReadFields(), FT_Stream_Seek(), ft_stroke_border_arcto(), ft_stroke_border_conicto(), ft_stroke_border_cubicto(), ft_stroke_border_get_counts(), ft_stroke_border_grow(), ft_stroke_border_lineto(), ft_stroker_add_reverse_left(), ft_stroker_arcto(), ft_stroker_cap(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_EndSubPath(), FT_Stroker_GetBorderCounts(), FT_Stroker_GetCounts(), ft_stroker_inside(), FT_Stroker_LineTo(), FT_Stroker_New(), ft_stroker_outside(), FT_Stroker_ParseOutline(), ft_stroker_process_corner(), ft_stroker_subpath_start(), FT_TrueTypeGX_Validate(), ft_validator_error(), ftc_basic_family_get_count(), ftc_basic_family_load_bitmap(), ftc_basic_family_load_glyph(), ftc_cache_init(), FTC_Cache_NewNode(), ftc_cache_resize(), ftc_cmap_node_new(), FTC_CMapCache_Lookup(), ftc_face_node_init(), ftc_gcache_init(), FTC_ImageCache_Lookup(), FTC_ImageCache_LookupScaler(), FTC_INode_New(), FTC_Manager_LookupFace(), FTC_Manager_LookupSize(), FTC_Manager_New(), FTC_Manager_RegisterCache(), FTC_MruList_New(), ftc_sbit_copy_bitmap(), FTC_SBitCache_Lookup(), FTC_SBitCache_LookupScaler(), ftc_scaler_lookup_size(), ftc_snode_compare(), ftc_snode_load(), FTC_SNode_New(), glewGetErrorString(), gray_convert_glyph(), gray_raster_new(), gxv_ctlPoint_validate(), gxv_load_table(), gxv_prop_zero_advance_validate(), gxv_validate(), gz_compress(), gz_uncompress(), hash_init(), hash_insert(), hash_rehash(), if(), Zeni::Database< TYPE >::load_file(), load_format_20(), load_format_25(), load_post_names(), load_truetype_glyph(), main(), main2(), Newton_Raphson(), open_face(), OpenPlayerFile(), otv_load_table(), otv_validate(), pa_open_capture(), PaParseStrings(), parse_afm(), parse_blend_axis_types(), parse_blend_design_map(), parse_blend_design_positions(), parse_charstrings(), parse_encoding(), parse_fd_array(), parse_subrs(), parse_weight_vector(), PCF_Face_Init(), pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metric(), pcf_get_metrics(), pcf_get_properties(), PCF_Glyph_Load(), pcf_interpret_style(), pcf_load_font(), pcf_read_TOC(), pcf_seek_to_table_type(), PCF_Size_Request(), pfr_aux_name_load(), pfr_cmap_init(), pfr_extra_item_load_bitmap_info(), pfr_extra_item_load_font_id(), pfr_extra_item_load_kerning_pairs(), pfr_extra_item_load_stem_snaps(), pfr_extra_items_parse(), pfr_face_get_kerning(), pfr_face_init(), pfr_get_advance(), pfr_glyph_curve_to(), pfr_glyph_line_to(), pfr_glyph_load_compound(), pfr_glyph_load_rec(), pfr_glyph_load_simple(), pfr_glyph_move_to(), pfr_header_load(), pfr_load_bitmap_bits(), pfr_load_bitmap_metrics(), pfr_log_font_count(), pfr_log_font_load(), pfr_phy_font_load(), pfr_slot_load(), pfr_slot_load_bitmap(), png_check_IHDR(), process_one(), ps_dimension_add_counter(), ps_dimension_add_t1stem(), ps_dimension_set_mask_bits(), ps_hint_table_alloc(), ps_hint_table_ensure(), ps_hints_apply(), ps_hints_close(), ps_hints_stem(), ps_hints_t1reset(), ps_hints_t1stem3(), ps_hints_t2counter(), ps_hints_t2mask(), ps_mask_ensure(), ps_mask_set_bit(), ps_mask_table_alloc(), ps_mask_table_ensure(), ps_mask_table_last(), ps_mask_table_merge(), ps_mask_table_merge_all(), ps_mask_table_set_bits(), ps_parser_load_field(), ps_parser_load_field_table(), ps_parser_to_bytes(), ps_parser_to_token(), ps_table_add(), ps_table_done(), ps_table_new(), psh_globals_new(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), psh_hint_table_init(), read_pfb_tag(), reallocate_t1_table(), Render_Glyph(), SDL_ClearError(), SDL_GestureProcessEvent(), SDL_GetErrorMsg(), SDL_GL_GetAttribute(), SDL_SendGestureDollar(), SDL_SetError(), SDLNet_AllocPacket(), sfnt_init_face(), sfnt_load_face(), sfnt_open_font(), skip_literal_string(), Zeni::Sound_Stream_AL::Sound_Stream_AL(), t1_allocate_blend(), t1_builder_add_contour(), t1_builder_add_point1(), t1_builder_start_point(), T1_Compute_Max_Advance(), t1_decoder_parse_charstrings(), T1_Face_Init(), T1_Get_Advances(), T1_Get_MM_Var(), T1_Get_Multi_Master(), T1_Get_Private_Dict(), T1_Load_Glyph(), t1_load_keyword(), T1_New_Parser(), T1_Open_Face(), T1_Parse_Glyph(), T1_Parse_Glyph_And_Get_Char_String(), T1_Read_Metrics(), T1_Read_PFM(), T1_Set_MM_Blend(), T1_Set_MM_Design(), T1_Set_Var_Design(), T1_Size_Init(), t1operator_seac(), T42_Face_Init(), T42_GlyphSlot_Init(), T42_GlyphSlot_Load(), t42_load_keyword(), T42_Open_Face(), t42_parse_charstrings(), t42_parse_encoding(), t42_parse_sfnts(), t42_parser_init(), T42_Size_Init(), T42_Size_Request(), T42_Size_Select(), test_cos(), test_length(), test_rotate(), test_sin(), test_tan(), test_unit(), TT_Access_Glyph_Frame(), tt_check_single_notdef(), tt_face_get_metrics(), tt_face_get_name(), tt_face_get_ps_name(), tt_face_goto_table(), tt_face_init(), tt_face_load_any(), tt_face_load_cmap(), tt_face_load_cvt(), tt_face_load_eblc(), tt_face_load_font_dir(), tt_face_load_fpgm(), tt_face_load_gasp(), tt_face_load_generic_header(), tt_face_load_hdmx(), tt_face_load_hhea(), tt_face_load_hmtx(), tt_face_load_kern(), tt_face_load_loca(), tt_face_load_maxp(), tt_face_load_name(), tt_face_load_os2(), tt_face_load_pclt(), tt_face_load_post(), tt_face_load_prep(), tt_face_load_sbit_image(), tt_glyph_load(), TT_Hint_Glyph(), TT_Load_Composite_Glyph(), TT_Load_Glyph(), TT_Load_Simple_Glyph(), tt_loader_init(), tt_name_entry_ascii_from_other(), tt_name_entry_ascii_from_utf16(), TT_Process_Composite_Glyph(), TT_Process_Simple_Glyph(), tt_sbit_decoder_alloc_bitmap(), tt_sbit_decoder_init(), tt_sbit_decoder_load_bit_aligned(), tt_sbit_decoder_load_bitmap(), tt_sbit_decoder_load_byte_aligned(), tt_sbit_decoder_load_compound(), tt_size_init(), tt_size_request(), tt_size_reset(), tt_synth_sfnt_checksum(), and vorbis_lpc_from_data().

FT_Face face = FT_CMAP_FACE( cmap )

Definition at line 408 of file cffdrivr.c.

cmap_info format = 0

Definition at line 413 of file cffdrivr.c.

& FT_CFF_SERVICE_GET_CMAP_INFO_GET

Definition at line 581 of file cffdrivr.c.

& FT_CFF_SERVICE_GLYPH_DICT_GET

Definition at line 581 of file cffdrivr.c.

& FT_CFF_SERVICE_PS_INFO_GET

Definition at line 581 of file cffdrivr.c.

& FT_CFF_SERVICE_PS_NAME_GET

Definition at line 581 of file cffdrivr.c.

FT_SERVICE_ID_CID

Definition at line 581 of file cffdrivr.c.

FT_SERVICE_ID_GLYPH_DICT

Definition at line 581 of file cffdrivr.c.

FT_SERVICE_ID_POSTSCRIPT_FONT_NAME

Definition at line 581 of file cffdrivr.c.

FT_SERVICE_ID_POSTSCRIPT_INFO

Definition at line 581 of file cffdrivr.c.

FT_SERVICE_ID_TT_CMAP

Definition at line 581 of file cffdrivr.c.

Referenced by if().

FT_SERVICE_ID_XF86_NAME

Definition at line 581 of file cffdrivr.c.

FT_XF86_FORMAT_CFF

Definition at line 581 of file cffdrivr.c.

cmap_info language = 0

Definition at line 412 of file cffdrivr.c.

FT_Library library = FT_FACE_LIBRARY( face )

Definition at line 409 of file cffdrivr.c.

Referenced by cff_face_init(), cff_get_interface(), cff_parser_init(), FT_Add_Module(), ft_bitmap_glyph_copy(), ft_bitmap_glyph_done(), ft_bitmap_glyph_init(), FT_DEFINE_GLYPH(), FT_Get_Glyph(), FT_Glyph_Stroke(), FT_Glyph_StrokeBorder(), FT_Glyph_To_Bitmap(), FT_GlyphSlot_Embolden(), FT_Load_Glyph(), FT_New_Library(), ft_outline_glyph_copy(), ft_outline_glyph_done(), ft_raster1_init(), FT_Render_Glyph(), ft_smooth_init(), FT_Stroker_New(), FTC_Manager_New(), main(), sfnt_init_face(), tt_face_init(), and tt_get_interface().

const char const char* * ordering

Definition at line 443 of file cffdrivr.c.

const char* * registry

Definition at line 443 of file cffdrivr.c.

Referenced by FT_Get_BDF_Charset_ID().

const char const char FT_Int* supplement

Initial value:
{
FT_Error error = CFF_Err_Ok
FT_Error
int FT_Error
Definition: fttypes.h:296
error
FT_Error error
Definition: cffdrivr.c:407

Definition at line 446 of file cffdrivr.c.